org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcQueryFetchRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.SqlListenerRequest
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest
    - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcQueryFetchRequest

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcQueryFetchRequest
    extends JdbcRequest

SQL listener query fetch request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`QRY_CLOSE, QRY_EXEC, QRY_FETCH, QRY_META`

### Fields inherited from class org.apache.ignite.internal.processors.odbc.SqlListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`JdbcQueryFetchRequest()` Constructor.
`JdbcQueryFetchRequest(long queryId, int pageSize)`

### Method Summary

Methods
`int` `pageSize()`
`long` `queryId()`
`void` `readBinary(BinaryReaderExImpl reader)` Reads fields from provided reader.
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`readRequest, type`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.SqlListenerRequest

`requestId, requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcQueryFetchRequest

    public JdbcQueryFetchRequest()

Constructor.

#### JdbcQueryFetchRequest

    public JdbcQueryFetchRequest(long queryId,
                         int pageSize)

Parameters:
  `queryId` - Query ID.
  `pageSize` - Fetch size.

### Method Detail

#### queryId

    public long queryId()

Returns:
  Query ID.

#### pageSize

    public int pageSize()

Returns:
  Fetch page size.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcRequest`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcRequest`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017